import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { OpSpSuggestion } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-08 14:53
 */
interface OpSpSuggestionCU extends ConditionUtil<OpSpSuggestionCU> {
    ID: FieldUtil<OpSpSuggestionCU>;
    SUGGESTION_ID: FieldUtil<OpSpSuggestionCU>;
    LOT_ID: FieldUtil<OpSpSuggestionCU>;
    CONTACT: FieldUtil<OpSpSuggestionCU>;
    DESCRIPTION: FieldUtil<OpSpSuggestionCU>;
    IMG_URL: FieldUtil<OpSpSuggestionCU>;
    TYPE: FieldUtil<OpSpSuggestionCU>;
    STATUS: FieldUtil<OpSpSuggestionCU>;
    HANDLE_STATUS: FieldUtil<OpSpSuggestionCU>;
    DELETE_STATUS: FieldUtil<OpSpSuggestionCU>;
    OPERATE_USER: FieldUtil<OpSpSuggestionCU>;
    CREATE_TIME: FieldUtil<OpSpSuggestionCU>;
    UPDATE_TIME: FieldUtil<OpSpSuggestionCU>;
}
declare class OpSpSuggestionMU extends TableUtilImpl<OpSpSuggestionCU, OpSpSuggestion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): OpSpSuggestionCU;
    static get ID(): FieldUtil<OpSpSuggestionCU>;
    static get SUGGESTION_ID(): FieldUtil<OpSpSuggestionCU>;
    static get LOT_ID(): FieldUtil<OpSpSuggestionCU>;
    static get CONTACT(): FieldUtil<OpSpSuggestionCU>;
    static get DESCRIPTION(): FieldUtil<OpSpSuggestionCU>;
    static get IMG_URL(): FieldUtil<OpSpSuggestionCU>;
    static get TYPE(): FieldUtil<OpSpSuggestionCU>;
    static get STATUS(): FieldUtil<OpSpSuggestionCU>;
    static get HANDLE_STATUS(): FieldUtil<OpSpSuggestionCU>;
    static get DELETE_STATUS(): FieldUtil<OpSpSuggestionCU>;
    static get OPERATE_USER(): FieldUtil<OpSpSuggestionCU>;
    static get CREATE_TIME(): FieldUtil<OpSpSuggestionCU>;
    static get UPDATE_TIME(): FieldUtil<OpSpSuggestionCU>;
    get ID(): FieldUtil<OpSpSuggestionCU>;
    get SUGGESTION_ID(): FieldUtil<OpSpSuggestionCU>;
    get LOT_ID(): FieldUtil<OpSpSuggestionCU>;
    get CONTACT(): FieldUtil<OpSpSuggestionCU>;
    get DESCRIPTION(): FieldUtil<OpSpSuggestionCU>;
    get IMG_URL(): FieldUtil<OpSpSuggestionCU>;
    get TYPE(): FieldUtil<OpSpSuggestionCU>;
    get STATUS(): FieldUtil<OpSpSuggestionCU>;
    get HANDLE_STATUS(): FieldUtil<OpSpSuggestionCU>;
    get DELETE_STATUS(): FieldUtil<OpSpSuggestionCU>;
    get OPERATE_USER(): FieldUtil<OpSpSuggestionCU>;
    get CREATE_TIME(): FieldUtil<OpSpSuggestionCU>;
    get UPDATE_TIME(): FieldUtil<OpSpSuggestionCU>;
}
export { OpSpSuggestionMU, OpSpSuggestionCU };
